import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/position_table_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/position_table_entity.g.dart';

@JsonSerializable()
class PositionTableEntity {
	int total= 0;
	List<PositionTableRows> rows = [];

	PositionTableEntity();

	factory PositionTableEntity.fromJson(Map<String, dynamic> json) => $PositionTableEntityFromJson(json);

	Map<String, dynamic> toJson() => $PositionTableEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class PositionTableRows {
	String? id;
	String? name;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "updated_at")
	String? updatedAt;

	PositionTableRows();

	factory PositionTableRows.fromJson(Map<String, dynamic> json) => $PositionTableRowsFromJson(json);

	Map<String, dynamic> toJson() => $PositionTableRowsToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}